Bug 122811 - RFE: system-config-network: We want a option to disable `+FCLASS=0' AT command.
RFE: system-config-network: We want a option to disable `+FCLASS=0' AT command.
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: rcn-modem
  Show dependency treegraph
Reported: 2004-05-08 08:20 EDT by Kunihiko IMAI
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-13 06:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kunihiko IMAI 2004-05-08 08:20:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.6) Gecko/20040505

Description of problem:
As described on bug #12281, Japanese ISDN connection is similar to
analog modem.  So we use `modem' wizard for ISDN connection setting.

But there happen a problem with this method.  New version of
system-config-network adds `+FCLASS=0' AT command on /etc/wvdial.conf.
Japanese ISDN modem accepts most of AT command, but it is not a FAX
modem.  So initialization errors may occur.

And AirH" PCMCIA card has same problem.  (AirH" is a wireless phone
network service in Japan.)  It can be controlled like an analog modem,
with AT comnand, and uses PPP protocol.  This card doesn't accept
'+FCLASS=0' FAX modem command.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run system-config-network GUI.
2. click `NEW' icon.
3. select `modem connection'
4. go along the wizard.
5. `save' the setting
6. activate the connection

Additional info:

Note You need to log in before you can comment on or make changes to this bug.